package com.ycwl.basic.service.task.impl;

import com.alibaba.fastjson.JSON;
import com.ycwl.basic.mapper.TemplateMapper;
import com.ycwl.basic.model.pc.template.entity.TemplateConfigEntity;
import com.ycwl.basic.service.task.TaskTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

@Service
public class TaskTemplateServiceImpl implements TaskTemplateService {
    @Autowired
    private RedisTemplate<String, String> redisTemplate;
    @Autowired
    private TemplateMapper templateMapper;

    private static final String TEMPLATE_KEY = "template:";
    private static final String TEMPLATE_CONFIG_KEY = "template:config:";

    private TemplateConfigEntity getTemplateConfig(Long templateId) {
        if (redisTemplate.hasKey(TEMPLATE_CONFIG_KEY + templateId)) {
            return JSON.parseObject(redisTemplate.opsForValue().get(TEMPLATE_CONFIG_KEY + templateId), TemplateConfigEntity.class);
        }
        TemplateConfigEntity config = templateMapper.getConfig(templateId);
        if (config != null) {
            redisTemplate.opsForValue().set(TEMPLATE_CONFIG_KEY + templateId, JSON.toJSONString(config));
        }
        return config;
    }
}
